> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# twilio-recordings

> Twilio Recordings - Recordings, transcriptions, add-ons, and usage

**Server path:** `/twilio-recordings` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                                  | Description                                                                         |
| ----------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| [`twilio_recordings_create_incoming_phone_number_assigned_add_on`](#twilio_recordings_create_incoming_phone_number_assigned_add_on)                   | Assign an Add-on installation to the Number specified.                              |
| [`twilio_recordings_delete_incoming_phone_number_assigned_add_on`](#twilio_recordings_delete_incoming_phone_number_assigned_add_on)                   | Remove the assignment of an Add-on installation from the Number specified.          |
| [`twilio_recordings_delete_recording`](#twilio_recordings_delete_recording)                                                                           | Delete a recording from your account                                                |
| [`twilio_recordings_delete_recording_add_on_result`](#twilio_recordings_delete_recording_add_on_result)                                               | Delete a result and purge all associated Payloads                                   |
| [`twilio_recordings_delete_recording_add_on_result_payload`](#twilio_recordings_delete_recording_add_on_result_payload)                               | Delete a payload from the result along with all associated Data                     |
| [`twilio_recordings_delete_recording_transcription`](#twilio_recordings_delete_recording_transcription)                                               | DELETE /Recordings/\{RecordingSid}/Transcriptions/\{Sid}.json                       |
| [`twilio_recordings_delete_transcription`](#twilio_recordings_delete_transcription)                                                                   | Delete a transcription from the account used to make the request                    |
| [`twilio_recordings_fetch_incoming_phone_number_assigned_add_on`](#twilio_recordings_fetch_incoming_phone_number_assigned_add_on)                     | Fetch an instance of an Add-on installation currently assigned to this Number.      |
| [`twilio_recordings_fetch_incoming_phone_number_assigned_add_on_extension`](#twilio_recordings_fetch_incoming_phone_number_assigned_add_on_extension) | Fetch an instance of an Extension for the Assigned Add-on.                          |
| [`twilio_recordings_fetch_recording`](#twilio_recordings_fetch_recording)                                                                             | Fetch an instance of a recording                                                    |
| [`twilio_recordings_fetch_recording_add_on_result`](#twilio_recordings_fetch_recording_add_on_result)                                                 | Fetch an instance of an AddOnResult                                                 |
| [`twilio_recordings_fetch_recording_add_on_result_payload`](#twilio_recordings_fetch_recording_add_on_result_payload)                                 | Fetch an instance of a result payload                                               |
| [`twilio_recordings_fetch_recording_add_on_result_payload_data`](#twilio_recordings_fetch_recording_add_on_result_payload_data)                       | Fetch an instance of a result payload                                               |
| [`twilio_recordings_fetch_recording_transcription`](#twilio_recordings_fetch_recording_transcription)                                                 | GET /Recordings/\{RecordingSid}/Transcriptions/\{Sid}.json                          |
| [`twilio_recordings_fetch_transcription`](#twilio_recordings_fetch_transcription)                                                                     | Fetch an instance of a Transcription                                                |
| [`twilio_recordings_list_incoming_phone_number_assigned_add_on`](#twilio_recordings_list_incoming_phone_number_assigned_add_on)                       | Retrieve a list of Add-on installations currently assigned to this Number.          |
| [`twilio_recordings_list_incoming_phone_number_assigned_add_on_extension`](#twilio_recordings_list_incoming_phone_number_assigned_add_on_extension)   | Retrieve a list of Extensions for the Assigned Add-on.                              |
| [`twilio_recordings_list_recording`](#twilio_recordings_list_recording)                                                                               | Retrieve a list of recordings belonging to the account used to make the request     |
| [`twilio_recordings_list_recording_add_on_result`](#twilio_recordings_list_recording_add_on_result)                                                   | Retrieve a list of results belonging to the recording                               |
| [`twilio_recordings_list_recording_add_on_result_payload`](#twilio_recordings_list_recording_add_on_result_payload)                                   | Retrieve a list of payloads belonging to the AddOnResult                            |
| [`twilio_recordings_list_recording_transcription`](#twilio_recordings_list_recording_transcription)                                                   | GET /Recordings/\{RecordingSid}/Transcriptions.json                                 |
| [`twilio_recordings_list_transcription`](#twilio_recordings_list_transcription)                                                                       | Retrieve a list of transcriptions belonging to the account used to make the request |
| [`twilio_recordings_list_usage_record_all_time`](#twilio_recordings_list_usage_record_all_time)                                                       | GET /Usage/Records/AllTime.json                                                     |
| [`twilio_recordings_list_usage_record_daily`](#twilio_recordings_list_usage_record_daily)                                                             | GET /Usage/Records/Daily.json                                                       |
| [`twilio_recordings_list_usage_record_last_month`](#twilio_recordings_list_usage_record_last_month)                                                   | GET /Usage/Records/LastMonth.json                                                   |
| [`twilio_recordings_list_usage_record_monthly`](#twilio_recordings_list_usage_record_monthly)                                                         | GET /Usage/Records/Monthly.json                                                     |
| [`twilio_recordings_list_usage_record_this_month`](#twilio_recordings_list_usage_record_this_month)                                                   | GET /Usage/Records/ThisMonth.json                                                   |
| [`twilio_recordings_list_usage_record_today`](#twilio_recordings_list_usage_record_today)                                                             | GET /Usage/Records/Today.json                                                       |
| [`twilio_recordings_list_usage_record_yearly`](#twilio_recordings_list_usage_record_yearly)                                                           | GET /Usage/Records/Yearly.json                                                      |
| [`twilio_recordings_list_usage_record_yesterday`](#twilio_recordings_list_usage_record_yesterday)                                                     | GET /Usage/Records/Yesterday.json                                                   |

***

## twilio\_recordings\_create\_incoming\_phone\_number\_assigned\_add\_on

Assign an Add-on installation to the Number specified.

**Parameters:**

| Parameter           | Type   | Required | Default | Description                                       |
| ------------------- | ------ | -------- | ------- | ------------------------------------------------- |
| `ResourceSid`       | string | Yes      | —       | The SID of the Phone Number to assign the Add-on. |
| `InstalledAddOnSid` | string | Yes      | —       | The SID that identifies the Add-on installation.  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ResourceSid": {
        "type": "string",
        "description": "The SID of the Phone Number to assign the Add-on."
      },
      "InstalledAddOnSid": {
        "type": "string",
        "description": "The SID that identifies the Add-on installation."
      }
    },
    "required": [
      "PCID",
      "ResourceSid",
      "InstalledAddOnSid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_delete\_incoming\_phone\_number\_assigned\_add\_on

Remove the assignment of an Add-on installation from the Number specified.

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                                                 |
| ------------- | ------ | -------- | ------- | --------------------------------------------------------------------------- |
| `ResourceSid` | string | Yes      | —       | The SID of the Phone Number to which the Add-on is assigned.                |
| `Sid`         | string | Yes      | —       | The Twilio-provided string that uniquely identifies the resource to delete. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ResourceSid": {
        "type": "string",
        "description": "The SID of the Phone Number to which the Add-on is assigned."
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the resource to delete."
      }
    },
    "required": [
      "PCID",
      "ResourceSid",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_delete\_recording

Delete a recording from your account

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                           |
| --------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------- |
| `Sid`     | string | Yes      | —       | The Twilio-provided string that uniquely identifies the Recording resource to delete. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the Recording resource to delete."
      }
    },
    "required": [
      "PCID",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_delete\_recording\_add\_on\_result

Delete a result and purge all associated Payloads

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                       |
| -------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------- |
| `ReferenceSid` | string | Yes      | —       | The SID of the recording to which the result to delete belongs.                                   |
| `Sid`          | string | Yes      | —       | The Twilio-provided string that uniquely identifies the Recording AddOnResult resource to delete. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ReferenceSid": {
        "type": "string",
        "description": "The SID of the recording to which the result to delete belongs."
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the Recording AddOnResult resource to delete."
      }
    },
    "required": [
      "PCID",
      "ReferenceSid",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_delete\_recording\_add\_on\_result\_payload

Delete a payload from the result along with all associated Data

**Parameters:**

| Parameter        | Type   | Required | Default | Description                                                                                               |
| ---------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------- |
| `ReferenceSid`   | string | Yes      | —       | The SID of the recording to which the AddOnResult resource that contains the payloads to delete belongs.  |
| `AddOnResultSid` | string | Yes      | —       | The SID of the AddOnResult to which the payloads to delete belongs.                                       |
| `Sid`            | string | Yes      | —       | The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to delete. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ReferenceSid": {
        "type": "string",
        "description": "The SID of the recording to which the AddOnResult resource that contains the payloads to delete belongs."
      },
      "AddOnResultSid": {
        "type": "string",
        "description": "The SID of the AddOnResult to which the payloads to delete belongs."
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to delete."
      }
    },
    "required": [
      "PCID",
      "ReferenceSid",
      "AddOnResultSid",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_delete\_recording\_transcription

DELETE /Recordings/\{RecordingSid}/Transcriptions/\{Sid}.json

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                           |
| -------------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------- |
| `RecordingSid` | string | Yes      | —       | The SID of the [Recording](https://www.twilio.com/docs/voice/api/recording) that created the transcription to delete. |
| `Sid`          | string | Yes      | —       | The Twilio-provided string that uniquely identifies the Transcription resource to delete.                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "RecordingSid": {
        "type": "string",
        "description": "The SID of the [Recording](https://www.twilio.com/docs/voice/api/recording) that created the transcription to delete."
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the Transcription resource to delete."
      }
    },
    "required": [
      "PCID",
      "RecordingSid",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_delete\_transcription

Delete a transcription from the account used to make the request

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                               |
| --------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------------- |
| `Sid`     | string | Yes      | —       | The Twilio-provided string that uniquely identifies the Transcription resource to delete. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the Transcription resource to delete."
      }
    },
    "required": [
      "PCID",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_fetch\_incoming\_phone\_number\_assigned\_add\_on

Fetch an instance of an Add-on installation currently assigned to this Number.

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                                                |
| ------------- | ------ | -------- | ------- | -------------------------------------------------------------------------- |
| `ResourceSid` | string | Yes      | —       | The SID of the Phone Number to which the Add-on is assigned.               |
| `Sid`         | string | Yes      | —       | The Twilio-provided string that uniquely identifies the resource to fetch. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ResourceSid": {
        "type": "string",
        "description": "The SID of the Phone Number to which the Add-on is assigned."
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the resource to fetch."
      }
    },
    "required": [
      "PCID",
      "ResourceSid",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_fetch\_incoming\_phone\_number\_assigned\_add\_on\_extension

Fetch an instance of an Extension for the Assigned Add-on.

**Parameters:**

| Parameter          | Type   | Required | Default | Description                                                                |
| ------------------ | ------ | -------- | ------- | -------------------------------------------------------------------------- |
| `ResourceSid`      | string | Yes      | —       | The SID of the Phone Number to which the Add-on is assigned.               |
| `AssignedAddOnSid` | string | Yes      | —       | The SID that uniquely identifies the assigned Add-on installation.         |
| `Sid`              | string | Yes      | —       | The Twilio-provided string that uniquely identifies the resource to fetch. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ResourceSid": {
        "type": "string",
        "description": "The SID of the Phone Number to which the Add-on is assigned."
      },
      "AssignedAddOnSid": {
        "type": "string",
        "description": "The SID that uniquely identifies the assigned Add-on installation."
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the resource to fetch."
      }
    },
    "required": [
      "PCID",
      "ResourceSid",
      "AssignedAddOnSid",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_fetch\_recording

Fetch an instance of a recording

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                       |
| -------------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Sid`                | string  | Yes      | —       | The Twilio-provided string that uniquely identifies the Recording resource to fetch.                                                                              |
| `IncludeSoftDeleted` | boolean | No       | —       | A boolean parameter indicating whether to retrieve soft deleted recordings or not. Recordings metadata are kept after deletion for a retention period of 40 days. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the Recording resource to fetch."
      },
      "IncludeSoftDeleted": {
        "type": "boolean",
        "description": "A boolean parameter indicating whether to retrieve soft deleted recordings or not. Recordings metadata are kept after deletion for a retention period of 40 days."
      }
    },
    "required": [
      "PCID",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_fetch\_recording\_add\_on\_result

Fetch an instance of an AddOnResult

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                      |
| -------------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------ |
| `ReferenceSid` | string | Yes      | —       | The SID of the recording to which the result to fetch belongs.                                   |
| `Sid`          | string | Yes      | —       | The Twilio-provided string that uniquely identifies the Recording AddOnResult resource to fetch. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ReferenceSid": {
        "type": "string",
        "description": "The SID of the recording to which the result to fetch belongs."
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the Recording AddOnResult resource to fetch."
      }
    },
    "required": [
      "PCID",
      "ReferenceSid",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_fetch\_recording\_add\_on\_result\_payload

Fetch an instance of a result payload

**Parameters:**

| Parameter        | Type   | Required | Default | Description                                                                                              |
| ---------------- | ------ | -------- | ------- | -------------------------------------------------------------------------------------------------------- |
| `ReferenceSid`   | string | Yes      | —       | The SID of the recording to which the AddOnResult resource that contains the payload to fetch belongs.   |
| `AddOnResultSid` | string | Yes      | —       | The SID of the AddOnResult to which the payload to fetch belongs.                                        |
| `Sid`            | string | Yes      | —       | The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to fetch. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ReferenceSid": {
        "type": "string",
        "description": "The SID of the recording to which the AddOnResult resource that contains the payload to fetch belongs."
      },
      "AddOnResultSid": {
        "type": "string",
        "description": "The SID of the AddOnResult to which the payload to fetch belongs."
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to fetch."
      }
    },
    "required": [
      "PCID",
      "ReferenceSid",
      "AddOnResultSid",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_fetch\_recording\_add\_on\_result\_payload\_data

Fetch an instance of a result payload

**Parameters:**

| Parameter        | Type   | Required | Default | Description                                                                                              |
| ---------------- | ------ | -------- | ------- | -------------------------------------------------------------------------------------------------------- |
| `ReferenceSid`   | string | Yes      | —       | The SID of the recording to which the AddOnResult resource that contains the payload to fetch belongs.   |
| `AddOnResultSid` | string | Yes      | —       | The SID of the AddOnResult to which the payload to fetch belongs.                                        |
| `PayloadSid`     | string | Yes      | —       | The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to fetch. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ReferenceSid": {
        "type": "string",
        "description": "The SID of the recording to which the AddOnResult resource that contains the payload to fetch belongs."
      },
      "AddOnResultSid": {
        "type": "string",
        "description": "The SID of the AddOnResult to which the payload to fetch belongs."
      },
      "PayloadSid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the Recording AddOnResult Payload resource to fetch."
      }
    },
    "required": [
      "PCID",
      "ReferenceSid",
      "AddOnResultSid",
      "PayloadSid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_fetch\_recording\_transcription

GET /Recordings/\{RecordingSid}/Transcriptions/\{Sid}.json

**Parameters:**

| Parameter      | Type   | Required | Default | Description                                                                                                          |
| -------------- | ------ | -------- | ------- | -------------------------------------------------------------------------------------------------------------------- |
| `RecordingSid` | string | Yes      | —       | The SID of the [Recording](https://www.twilio.com/docs/voice/api/recording) that created the transcription to fetch. |
| `Sid`          | string | Yes      | —       | The Twilio-provided string that uniquely identifies the Transcription resource to fetch.                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "RecordingSid": {
        "type": "string",
        "description": "The SID of the [Recording](https://www.twilio.com/docs/voice/api/recording) that created the transcription to fetch."
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the Transcription resource to fetch."
      }
    },
    "required": [
      "PCID",
      "RecordingSid",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_fetch\_transcription

Fetch an instance of a Transcription

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                                              |
| --------- | ------ | -------- | ------- | ---------------------------------------------------------------------------------------- |
| `Sid`     | string | Yes      | —       | The Twilio-provided string that uniquely identifies the Transcription resource to fetch. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Sid": {
        "type": "string",
        "description": "The Twilio-provided string that uniquely identifies the Transcription resource to fetch."
      }
    },
    "required": [
      "PCID",
      "Sid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_incoming\_phone\_number\_assigned\_add\_on

Retrieve a list of Add-on installations currently assigned to this Number.

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                                                                 |
| ------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------- |
| `ResourceSid` | string  | Yes      | —       | The SID of the Phone Number to which the Add-on is assigned.                                |
| `PageSize`    | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
| `Page`        | integer | No       | —       | The page index. This value is simply for client state.                                      |
| `PageToken`   | string  | No       | —       | The page token. This is provided by the API.                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ResourceSid": {
        "type": "string",
        "description": "The SID of the Phone Number to which the Add-on is assigned."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID",
      "ResourceSid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_incoming\_phone\_number\_assigned\_add\_on\_extension

Retrieve a list of Extensions for the Assigned Add-on.

**Parameters:**

| Parameter          | Type    | Required | Default | Description                                                                                 |
| ------------------ | ------- | -------- | ------- | ------------------------------------------------------------------------------------------- |
| `ResourceSid`      | string  | Yes      | —       | The SID of the Phone Number to which the Add-on is assigned.                                |
| `AssignedAddOnSid` | string  | Yes      | —       | The SID that uniquely identifies the assigned Add-on installation.                          |
| `PageSize`         | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
| `Page`             | integer | No       | —       | The page index. This value is simply for client state.                                      |
| `PageToken`        | string  | No       | —       | The page token. This is provided by the API.                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ResourceSid": {
        "type": "string",
        "description": "The SID of the Phone Number to which the Add-on is assigned."
      },
      "AssignedAddOnSid": {
        "type": "string",
        "description": "The SID that uniquely identifies the assigned Add-on installation."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID",
      "ResourceSid",
      "AssignedAddOnSid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_recording

Retrieve a list of recordings belonging to the account used to make the request

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                              |
| -------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `DateCreated`        | string  | No       | —       | Only include recordings that were created on this date. Specify a date as `YYYY-MM-DD` in GMT, for example: `2009-07-06`, to read recordings that were created on this date. You can also specify an inequality, such as `DateCreated&lt;=YYYY-MM-DD`, to read recordings that were created on or before midnight of this date, and `DateCreated&gt;=YYYY-MM-DD` to read recordings that were created on or after midnight of this date. |
| `DateCreated<`       | string  | No       | —       | Only include recordings that were created on this date. Specify a date as `YYYY-MM-DD` in GMT, for example: `2009-07-06`, to read recordings that were created on this date. You can also specify an inequality, such as `DateCreated&lt;=YYYY-MM-DD`, to read recordings that were created on or before midnight of this date, and `DateCreated&gt;=YYYY-MM-DD` to read recordings that were created on or after midnight of this date. |
| `DateCreated>`       | string  | No       | —       | Only include recordings that were created on this date. Specify a date as `YYYY-MM-DD` in GMT, for example: `2009-07-06`, to read recordings that were created on this date. You can also specify an inequality, such as `DateCreated&lt;=YYYY-MM-DD`, to read recordings that were created on or before midnight of this date, and `DateCreated&gt;=YYYY-MM-DD` to read recordings that were created on or after midnight of this date. |
| `CallSid`            | string  | No       | —       | The [Call](https://www.twilio.com/docs/voice/api/call-resource) SID of the resources to read.                                                                                                                                                                                                                                                                                                                                            |
| `ConferenceSid`      | string  | No       | —       | The Conference SID that identifies the conference associated with the recording to read.                                                                                                                                                                                                                                                                                                                                                 |
| `IncludeSoftDeleted` | boolean | No       | —       | A boolean parameter indicating whether to retrieve soft deleted recordings or not. Recordings metadata are kept after deletion for a retention period of 40 days.                                                                                                                                                                                                                                                                        |
| `PageSize`           | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000.                                                                                                                                                                                                                                                                                                                                              |
| `Page`               | integer | No       | —       | The page index. This value is simply for client state.                                                                                                                                                                                                                                                                                                                                                                                   |
| `PageToken`          | string  | No       | —       | The page token. This is provided by the API.                                                                                                                                                                                                                                                                                                                                                                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "DateCreated": {
        "type": "string",
        "description": "Only include recordings that were created on this date. Specify a date as `YYYY-MM-DD` in GMT, for example: `2009-07-06`, to read recordings that were created on this date. You can also specify an inequality, such as `DateCreated<=YYYY-MM-DD`, to read recordings that were created on or before midnight of this date, and `DateCreated>=YYYY-MM-DD` to read recordings that were created on or after midnight of this date."
      },
      "DateCreated<": {
        "type": "string",
        "description": "Only include recordings that were created on this date. Specify a date as `YYYY-MM-DD` in GMT, for example: `2009-07-06`, to read recordings that were created on this date. You can also specify an inequality, such as `DateCreated<=YYYY-MM-DD`, to read recordings that were created on or before midnight of this date, and `DateCreated>=YYYY-MM-DD` to read recordings that were created on or after midnight of this date."
      },
      "DateCreated>": {
        "type": "string",
        "description": "Only include recordings that were created on this date. Specify a date as `YYYY-MM-DD` in GMT, for example: `2009-07-06`, to read recordings that were created on this date. You can also specify an inequality, such as `DateCreated<=YYYY-MM-DD`, to read recordings that were created on or before midnight of this date, and `DateCreated>=YYYY-MM-DD` to read recordings that were created on or after midnight of this date."
      },
      "CallSid": {
        "type": "string",
        "description": "The [Call](https://www.twilio.com/docs/voice/api/call-resource) SID of the resources to read."
      },
      "ConferenceSid": {
        "type": "string",
        "description": "The Conference SID that identifies the conference associated with the recording to read."
      },
      "IncludeSoftDeleted": {
        "type": "boolean",
        "description": "A boolean parameter indicating whether to retrieve soft deleted recordings or not. Recordings metadata are kept after deletion for a retention period of 40 days."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_recording\_add\_on\_result

Retrieve a list of results belonging to the recording

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                                                 |
| -------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------- |
| `ReferenceSid` | string  | Yes      | —       | The SID of the recording to which the result to read belongs.                               |
| `PageSize`     | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
| `Page`         | integer | No       | —       | The page index. This value is simply for client state.                                      |
| `PageToken`    | string  | No       | —       | The page token. This is provided by the API.                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ReferenceSid": {
        "type": "string",
        "description": "The SID of the recording to which the result to read belongs."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID",
      "ReferenceSid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_recording\_add\_on\_result\_payload

Retrieve a list of payloads belonging to the AddOnResult

**Parameters:**

| Parameter        | Type    | Required | Default | Description                                                                                            |
| ---------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------ |
| `ReferenceSid`   | string  | Yes      | —       | The SID of the recording to which the AddOnResult resource that contains the payloads to read belongs. |
| `AddOnResultSid` | string  | Yes      | —       | The SID of the AddOnResult to which the payloads to read belongs.                                      |
| `PageSize`       | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000.            |
| `Page`           | integer | No       | —       | The page index. This value is simply for client state.                                                 |
| `PageToken`      | string  | No       | —       | The page token. This is provided by the API.                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ReferenceSid": {
        "type": "string",
        "description": "The SID of the recording to which the AddOnResult resource that contains the payloads to read belongs."
      },
      "AddOnResultSid": {
        "type": "string",
        "description": "The SID of the AddOnResult to which the payloads to read belongs."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID",
      "ReferenceSid",
      "AddOnResultSid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_recording\_transcription

GET /Recordings/\{RecordingSid}/Transcriptions.json

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                                                                          |
| -------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------- |
| `RecordingSid` | string  | Yes      | —       | The SID of the [Recording](https://www.twilio.com/docs/voice/api/recording) that created the transcriptions to read. |
| `PageSize`     | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000.                          |
| `Page`         | integer | No       | —       | The page index. This value is simply for client state.                                                               |
| `PageToken`    | string  | No       | —       | The page token. This is provided by the API.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "RecordingSid": {
        "type": "string",
        "description": "The SID of the [Recording](https://www.twilio.com/docs/voice/api/recording) that created the transcriptions to read."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID",
      "RecordingSid"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_transcription

Retrieve a list of transcriptions belonging to the account used to make the request

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                 |
| ----------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------- |
| `PageSize`  | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
| `Page`      | integer | No       | —       | The page index. This value is simply for client state.                                      |
| `PageToken` | string  | No       | —       | The page token. This is provided by the API.                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_usage\_record\_all\_time

GET /Usage/Records/AllTime.json

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                  |
| -------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `Category`           | string  | No       | —       | The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.                                                          |
| `StartDate`          | string  | No       | —       | Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date. |
| `EndDate`            | string  | No       | —       | Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date.          |
| `IncludeSubaccounts` | boolean | No       | —       | Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account.                            |
| `PageSize`           | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000.                                                                                                                                                                  |
| `Page`               | integer | No       | —       | The page index. This value is simply for client state.                                                                                                                                                                                                       |
| `PageToken`          | string  | No       | —       | The page token. This is provided by the API.                                                                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Category": {
        "type": "string",
        "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved."
      },
      "StartDate": {
        "type": "string",
        "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date."
      },
      "EndDate": {
        "type": "string",
        "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date."
      },
      "IncludeSubaccounts": {
        "type": "boolean",
        "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_usage\_record\_daily

GET /Usage/Records/Daily.json

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                  |
| -------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `Category`           | string  | No       | —       | The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.                                                          |
| `StartDate`          | string  | No       | —       | Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date. |
| `EndDate`            | string  | No       | —       | Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date.          |
| `IncludeSubaccounts` | boolean | No       | —       | Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account.                            |
| `PageSize`           | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000.                                                                                                                                                                  |
| `Page`               | integer | No       | —       | The page index. This value is simply for client state.                                                                                                                                                                                                       |
| `PageToken`          | string  | No       | —       | The page token. This is provided by the API.                                                                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Category": {
        "type": "string",
        "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved."
      },
      "StartDate": {
        "type": "string",
        "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date."
      },
      "EndDate": {
        "type": "string",
        "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date."
      },
      "IncludeSubaccounts": {
        "type": "boolean",
        "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_usage\_record\_last\_month

GET /Usage/Records/LastMonth.json

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                  |
| -------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `Category`           | string  | No       | —       | The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.                                                          |
| `StartDate`          | string  | No       | —       | Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date. |
| `EndDate`            | string  | No       | —       | Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date.          |
| `IncludeSubaccounts` | boolean | No       | —       | Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account.                            |
| `PageSize`           | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000.                                                                                                                                                                  |
| `Page`               | integer | No       | —       | The page index. This value is simply for client state.                                                                                                                                                                                                       |
| `PageToken`          | string  | No       | —       | The page token. This is provided by the API.                                                                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Category": {
        "type": "string",
        "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved."
      },
      "StartDate": {
        "type": "string",
        "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date."
      },
      "EndDate": {
        "type": "string",
        "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date."
      },
      "IncludeSubaccounts": {
        "type": "boolean",
        "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_usage\_record\_monthly

GET /Usage/Records/Monthly.json

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                  |
| -------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `Category`           | string  | No       | —       | The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.                                                          |
| `StartDate`          | string  | No       | —       | Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date. |
| `EndDate`            | string  | No       | —       | Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date.          |
| `IncludeSubaccounts` | boolean | No       | —       | Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account.                            |
| `PageSize`           | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000.                                                                                                                                                                  |
| `Page`               | integer | No       | —       | The page index. This value is simply for client state.                                                                                                                                                                                                       |
| `PageToken`          | string  | No       | —       | The page token. This is provided by the API.                                                                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Category": {
        "type": "string",
        "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved."
      },
      "StartDate": {
        "type": "string",
        "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date."
      },
      "EndDate": {
        "type": "string",
        "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date."
      },
      "IncludeSubaccounts": {
        "type": "boolean",
        "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_usage\_record\_this\_month

GET /Usage/Records/ThisMonth.json

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                  |
| -------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `Category`           | string  | No       | —       | The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.                                                          |
| `StartDate`          | string  | No       | —       | Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date. |
| `EndDate`            | string  | No       | —       | Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date.          |
| `IncludeSubaccounts` | boolean | No       | —       | Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account.                            |
| `PageSize`           | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000.                                                                                                                                                                  |
| `Page`               | integer | No       | —       | The page index. This value is simply for client state.                                                                                                                                                                                                       |
| `PageToken`          | string  | No       | —       | The page token. This is provided by the API.                                                                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Category": {
        "type": "string",
        "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved."
      },
      "StartDate": {
        "type": "string",
        "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date."
      },
      "EndDate": {
        "type": "string",
        "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date."
      },
      "IncludeSubaccounts": {
        "type": "boolean",
        "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_usage\_record\_today

GET /Usage/Records/Today.json

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                  |
| -------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `Category`           | string  | No       | —       | The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.                                                          |
| `StartDate`          | string  | No       | —       | Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date. |
| `EndDate`            | string  | No       | —       | Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date.          |
| `IncludeSubaccounts` | boolean | No       | —       | Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account.                            |
| `PageSize`           | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000.                                                                                                                                                                  |
| `Page`               | integer | No       | —       | The page index. This value is simply for client state.                                                                                                                                                                                                       |
| `PageToken`          | string  | No       | —       | The page token. This is provided by the API.                                                                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Category": {
        "type": "string",
        "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved."
      },
      "StartDate": {
        "type": "string",
        "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date."
      },
      "EndDate": {
        "type": "string",
        "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date."
      },
      "IncludeSubaccounts": {
        "type": "boolean",
        "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_usage\_record\_yearly

GET /Usage/Records/Yearly.json

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                  |
| -------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `Category`           | string  | No       | —       | The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.                                                          |
| `StartDate`          | string  | No       | —       | Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date. |
| `EndDate`            | string  | No       | —       | Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date.          |
| `IncludeSubaccounts` | boolean | No       | —       | Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account.                            |
| `PageSize`           | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000.                                                                                                                                                                  |
| `Page`               | integer | No       | —       | The page index. This value is simply for client state.                                                                                                                                                                                                       |
| `PageToken`          | string  | No       | —       | The page token. This is provided by the API.                                                                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Category": {
        "type": "string",
        "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved."
      },
      "StartDate": {
        "type": "string",
        "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date."
      },
      "EndDate": {
        "type": "string",
        "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date."
      },
      "IncludeSubaccounts": {
        "type": "boolean",
        "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## twilio\_recordings\_list\_usage\_record\_yesterday

GET /Usage/Records/Yesterday.json

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                  |
| -------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `Category`           | string  | No       | —       | The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved.                                                          |
| `StartDate`          | string  | No       | —       | Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date. |
| `EndDate`            | string  | No       | —       | Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date.          |
| `IncludeSubaccounts` | boolean | No       | —       | Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account.                            |
| `PageSize`           | integer | No       | —       | How many resources to return in each list page. The default is 50, and the maximum is 1000.                                                                                                                                                                  |
| `Page`               | integer | No       | —       | The page index. This value is simply for client state.                                                                                                                                                                                                       |
| `PageToken`          | string  | No       | —       | The page token. This is provided by the API.                                                                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Category": {
        "type": "string",
        "description": "The [usage category](https://www.twilio.com/docs/usage/api/usage-record#usage-categories) of the UsageRecord resources to read. Only UsageRecord resources in the specified category are retrieved."
      },
      "StartDate": {
        "type": "string",
        "description": "Only include usage that has occurred on or after this date. Specify the date in GMT and format as `YYYY-MM-DD`. You can also specify offsets from the current date, such as: `-30days`, which will set the start date to be 30 days before the current date."
      },
      "EndDate": {
        "type": "string",
        "description": "Only include usage that occurred on or before this date. Specify the date in GMT and format as `YYYY-MM-DD`.  You can also specify offsets from the current date, such as: `+30days`, which will set the end date to 30 days from the current date."
      },
      "IncludeSubaccounts": {
        "type": "boolean",
        "description": "Whether to include usage from the master account and all its subaccounts. Can be: `true` (the default) to include usage from the master account and all subaccounts or `false` to retrieve usage from only the specified account."
      },
      "PageSize": {
        "type": "integer",
        "description": "How many resources to return in each list page. The default is 50, and the maximum is 1000."
      },
      "Page": {
        "type": "integer",
        "description": "The page index. This value is simply for client state."
      },
      "PageToken": {
        "type": "string",
        "description": "The page token. This is provided by the API."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>
